DU(1)

NOM
du - Statistiques sur l'utilisation du disque

SYNOPSIS
du [options] [fichier...]

Options POSIX : [-askx] [--]

Options GNU (forme courte) : [-abcDhHklLmsSxX] [--block-size=taille] [--exclude=motif] [--max-depth=n] [--help] [--version] [--]

DESCRIPTION
du affiche la quantité d'espace disque utilisée par chacun des arguments, et pour chaque sous-répertoire des répertoires indiqués en argument. Toutes les mesures contiennent l'ensemble de la hiérarchie des sous-répertoires dans le système de fichiers.

Sans argument, du mesure l'espace occupé par le répertoire courant et ses descendants.

DÉTAILS POSIX
La sortie affiche les tailles par blocs de 512 octets par défaut, à moins que l'option -k ne soit présente, auquel cas les blocs font 1024 octets.

DÉTAILS GNU
L'espace est mesuré en blocs d'un Ko par défaut, à moins que la variable d'environnement POSIXLY_CORRECT soit configurée, auquel cas les blocs représentent 512 octets.

OPTIONS POSIX

-a  Afficher les statistiques pour tous les fichiers, pas seulement les répertoires.

-k  Afficher la taille en ko (kilo-octets, 1024 octets).

-s  Afficher seulement le total pour chaque argument.

-x  Ignorer les répertoires situés sur un système de fichiers différent de celui de l'argument étudié.

--  Fin de la liste des options.

OPTIONS GNU

-a, --all
    Afficher les statistiques pour tous les fichiers, pas seulement les répertoires.

-b, --bytes
    Afficher les tailles en octets.

--block-size= nombre
    Afficher les tailles en utilisant des blocs ayant le nombre indiqué d'octets. (Nouveauté dans fileutils-4.0).

-c, --total
    Afficher un total complet de tous les arguments, après les avoir tous affichés. Ceci permet de connaître l'espace occupé par un répertoire en excluant certains fichiers.

-D, --dereference-args
    Déréférencer les liens symboliques indiqués en tant qu'argument sur la ligne de commande. Ne pas déréférencer les autres liens symboliques. Ceci permet de mesurer la place disque occupée par des répertoires comme /usr/tmp quand il s'agit de liens symboliques vers un autre répertoire.

--exclude=motif
    Lors du parcours récursif, ignorer les répertoires et fichiers correspondant au motif. Le motif peut être une chaîne contenant des métacaractères standards du shell Bourne. (Nouveauté dans fileutils-4.0).

-h, --human-readable
    Afficher les tailles de manière facile à lire par un humain, en ajoutant un suffixe correspondant à l'unité (K, M, G).

-H, --si
    Comme -h, mais en utilisant des unités du Système International (avec des puissances de 1000 plutôt que 1024, ainsi M vaut 1.000.000 et non 1.048.576). (Nouveauté dans fileutils-4.0).

-k, --kilobytes
    Afficher la taille en kilo-octets. Cette option a priorité sur la variable d'environnement POSIXLY_CORRECT.

-l, --count-links
    Compter la taille de tous les fichiers, même s'ils ont déjà été pris en compte via un autre lien physique.

-L, --dereference
    Déréférencer les liens symboliques (prendre en compte l'espace utilisé par le fichier ou le répertoire pointé par le lien, à la place de l'espace utilisé seulement par le lien).

-m, --megabytes
    Afficher les tailles en Mo (méga-octets, 1 048 576 octets).

--max-depth=n
    N'afficher le résultat pour un répertoire (ou fichier avec l'option -a) que s'il est à moins de n niveaux en dessous du répertoire de démarrage. --max-depth=0 est équivalent à -s. (Nouveauté dans fileutils-4.0).

-s, --summarize
    Afficher seulement le total pour chaque argument.

-S, --separate-dirs
    Compter la taille de chaque répertoire séparément, sans inclure les tailles des sous-répertoires.

-x, --one-file-system
    Ignorer les répertoires situés sur un système de fichiers différent de celui de l'argument étudié.

-X fichier, --exclude-from=fichier
    Comme --exclude, sauf que les motifs à exclure sont lus dans le fichier indiqué. Les motifs sont listés sur des lignes séparées. Si le fichier est « - », les motifs sont lus depuis l'entrée standard. (Nouveauté dans fileutils-4.0).

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide et se terminer normalement.

--version
    Afficher un numéro de version et se terminer normalement.

--  Fin de la liste des options.

BOGUES
Sur les systèmes BSD, du affiche des tailles correspondant à la moitié de la taille réelle pour les fichiers situés sur un système HP-UX monté par NFS. Sur les systèmes HP-UX, les tailles sont doublées pour les fichiers montés par NFS depuis un système BSD. Ceci est dû à un défaut d'HP-UX, qui affecte également la version HP-UX de la commande du.

ENVIRONNEMENT
La variable d'environnement POSIXLY_CORRECT détermine le choix des unités. Si elle n'existe pas, et si la variable d'environnement BLOCKSIZE a une valeur commençant par « human » alors, le comportement est celui de l'option -h (à moins qu'il soit surchargé par une option -k ou -m). Les variables LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles.

CONFORMITÉ
POSIX.2

NOTES
Cette page documente la version de du trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 19 décembre 1996 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 du ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.